using System.ComponentModel;

namespace e_suite.Workflow.Core.Enums;

public enum WorkflowState
{
    [Description("The workflow has not yet started")]
    Pending,
    [Description("The workflow has been cancelled")]
    Cancelled,
    [Description("The workflow is currently active for user/system interaction and processing")]
    Active,
    [Description("The active portion of the workflow has finished and the workflow is ready to complete")]
    ReadyToComplete,
    [Description("Processing of this item has finished")]
    Completed
}